Przejdź do głównej treści
GET
/
api
/
v1
/
topics
Wylistuj tematy
curl --request GET \
  --url https://api.railmail.app/api/v1/topics \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "topicKey": "APIT-1",
      "name": "Newsletter",
      "description": "Weekly news",
      "status": "ACTIVE",
      "doubleOptInEnabled": true,
      "subscriberCount": 1200,
      "activeSubscriberCount": 1180,
      "createdAt": "2026-06-01T09:00:00Z"
    }
  ],
  "pagination": {
    "page": 0,
    "size": 20,
    "totalElements": 1,
    "totalPages": 1,
    "hasNext": false,
    "hasPrevious": false
  }
}

Autoryzacje

X-API-Key
string
header
wymagane

Project-scoped API key, format rm_(live|test)_... . May also be sent as Authorization: Bearer rm_....

Parametry zapytania

page
integer
domyślnie:0

Zero-based page index.

Wymagany zakres: x >= 0
size
integer
domyślnie:20

Page size, clamped to a maximum of 100.

Wymagany zakres: 1 <= x <= 100

Odpowiedź

Stronicowane tematy

data
object[]
pagination
object